Skip to main content
GET
/
networks
/
advertisers
/
{advertiserId}
Get Advertiser by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/advertisers/{advertiserId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_advertiser_id": 66,
  "network_id": 1,
  "name": "DocTest Updated Advertiser",
  "account_status": "active",
  "network_employee_id": 2,
  "internal_notes": "Updated notes via API",
  "address_id": 2,
  "is_contact_address_enabled": true,
  "sales_manager_id": 2,
  "is_expose_publisher_reporting_data": null,
  "default_currency_id": "USD",
  "platform_name": "Adjust",
  "platform_url": "https://adjust.com",
  "platform_username": "adjuser",
  "reporting_timezone_id": 90,
  "accounting_contact_email": "billing@test.com",
  "verification_token": "updatedtoken123",
  "offer_id_macro": "oid",
  "affiliate_id_macro": "affid",
  "time_created": 1774618267,
  "time_saved": 1774619075,
  "relationship": {
    "labels": {
      "total": 1,
      "entries": [
        "updated-label"
      ]
    },
    "account_manager": {
      "first_name": "Justin",
      "last_name": "Black",
      "email": "jblack@example.com",
      "work_phone": "9781243585",
      "cell_phone": "",
      "instant_messaging_id": 0,
      "instant_messaging_identifier": ""
    },
    "reporting": {
      "imp": 0,
      "total_click": 0,
      "unique_click": 0,
      "invalid_click": 0,
      "duplicate_click": 0,
      "gross_click": 0,
      "ctr": 0,
      "cv": 0,
      "invalid_cv_scrub": 0,
      "view_through_cv": 0,
      "total_cv": 0,
      "event": 0,
      "cvr": 0,
      "evr": 0,
      "cpc": 0,
      "cpm": 0,
      "cpa": 0,
      "epc": 0,
      "rpc": 0,
      "rpa": 0,
      "rpm": 0,
      "payout": 0,
      "revenue": 0,
      "event_revenue": 0,
      "gross_sales": 0,
      "profit": 0,
      "margin": 0,
      "roas": 0,
      "avg_sale_value": 0,
      "media_buying_cost": 0,
      "on_hold_potential_revenue": 0,
      "on_hold_potential_payout": 0,
      "on_hold_conversion_count": 0,
      "public_events": 0
    },
    "contact_address": {
      "address_id": 2,
      "network_id": 1,
      "address_1": "456 Oak Ave",
      "address_2": "Floor 3",
      "city": "San Francisco",
      "region_code": "CA",
      "country_id": 227,
      "country_code": "US",
      "zip_postal_code": "94102"
    },
    "api_keys": {
      "total": 0,
      "entries": []
    },
    "api_whitelist_ips": {
      "total": 0,
      "entries": []
    },
    "billing": {
      "network_id": 1,
      "network_advertiser_id": 66,
      "billing_frequency": "monthly",
      "invoice_amount_threshold": 50,
      "tax_id": "987-65-4321",
      "is_invoice_creation_auto": true,
      "auto_invoice_start_date": "2026-04-01 00:00:00",
      "default_invoice_is_hidden": false,
      "invoice_generation_days_delay": 10,
      "default_payment_terms": 30,
      "relationship": {
        "monthly": {
          "day_of_month": 1
        }
      }
    },
    "settings": {
      "network_id": 1,
      "network_advertiser_id": 66,
      "exposed_variables": {
        "affiliate_id": true,
        "affiliate": false,
        "sub1": true,
        "sub2": true,
        "sub3": false,
        "sub4": false,
        "sub5": false,
        "source_id": false,
        "offer_url": true
      },
      "time_saved": 1774619075
    },
    "sale_manager": {
      "first_name": "Justin",
      "last_name": "Black",
      "email": "jblack@example.com",
      "work_phone": "9781243585",
      "cell_phone": "",
      "instant_messaging_id": 0,
      "instant_messaging_identifier": ""
    }
  },
  "attribution_method": "last_touch",
  "email_attribution_method": "last_affiliate_attribution",
  "attribution_priority": "click"
}
Retrieve a single advertiser by its ID. Use the relationship query parameter to include related data. Repeat the parameter for multiple relationships (e.g. ?relationship=labels&relationship=billing).

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

advertiserId
integer
required

The unique advertiser ID.

Query Parameters

relationship
enum<string>

Include related data in the response. Available relationships:

  • reporting — Includes reporting information (clicks, conversions, revenue, etc.)
  • labels — Includes a list of labels associated to the advertiser
  • demand_partner — Includes the Everxchange information associated to the advertiser
  • billing — Includes the billing information associated to the advertiser
  • integrations — Includes the integration settings associated to the advertiser
  • api — Includes the advertiser's API keys and whitelisted IPs
  • settings — Includes the advertiser's settings (exposed variables)
  • product_feed — Includes product feeds configured for this advertiser
  • deal — Includes deals configured for this advertiser
Available options:
reporting,
labels,
demand_partner,
billing,
integrations,
api,
settings,
product_feed,
deal

Response

network_advertiser_id
integer

Unique advertiser ID.

network_id
integer

Network ID.

name
string

Advertiser name.

account_status
enum<string>

Current account status.

Available options:
active,
inactive,
pending,
suspended
network_employee_id
integer

Account manager employee ID.

sales_manager_id
integer

Sales manager employee ID.

internal_notes
string

Private notes visible only to network users.

default_currency_id
string

ISO currency code for the advertiser's default currency (e.g. "USD").

platform_name
string

Shopping cart or attribution platform name (e.g. Shopify, Adjust).

platform_url
string

URL for logging into the advertiser's platform.

platform_username
string

Username for the advertiser's platform.

reporting_timezone_id
integer

Timezone ID used for this advertiser's reporting.

attribution_method
enum<string>

Click attribution method.

Available options:
first_touch,
last_touch
email_attribution_method
enum<string>

Email-based attribution method.

Available options:
last_affiliate_attribution,
first_affiliate_attribution
attribution_priority
enum<string>

Whether clicks or coupon codes take priority for attribution.

Available options:
click,
coupon_code
accounting_contact_email
string

Email address for accounting/billing contact.

verification_token
string

Verification token for postback security (max 50 alphanumeric characters).

offer_id_macro
string

Offer ID parameter name for Direct Linking.

affiliate_id_macro
string

Partner ID parameter name for Direct Linking.

address_id
integer

Address record ID.

is_contact_address_enabled
boolean

Whether a contact address is stored for this advertiser.

is_expose_publisher_reporting_data
boolean | null

Whether publisher reporting data is exposed to this advertiser.

time_created
integer

Unix timestamp when the advertiser was created.

Example:

1734455015

time_saved
integer

Unix timestamp when the advertiser was last updated.

Example:

1734455015

relationship
object

Related data (only present when requested via query parameter).